Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 757054 - net-analyzer/slurm-0.4.3: stablereq
Summary: net-analyzer/slurm-0.4.3: stablereq
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Stabilization (show other bugs)
Hardware: All Linux
: Normal enhancement (vote)
Assignee: Netmon Herd
URL:
Whiteboard:
Keywords: CC-ARCHES
Depends on: 713664
Blocks: EAPI5Removal
  Show dependency tree
 
Reported: 2020-11-26 22:55 UTC by Aaron Bauman
Modified: 2021-03-05 08:16 UTC (History)
0 users

See Also:
Package list:
net-analyzer/slurm-0.4.3
Runtime testing required: ---
nattka: sanity-check+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Aaron Bauman Gentoo Infrastructure gentoo-dev Security 2020-11-26 22:55:02 UTC
Please stabilize.
Comment 1 Thomas Deutschmann gentoo-dev Security 2020-11-26 23:50:56 UTC
Doesn't build, bug 713664.
Comment 2 Larry the Git Cow gentoo-dev 2021-02-13 09:54:56 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=6c9d623b817d83875351c916cca8121454e249b6

commit 6c9d623b817d83875351c916cca8121454e249b6
Author:     David Seifert <soap@gentoo.org>
AuthorDate: 2021-02-13 09:54:34 +0000
Commit:     David Seifert <soap@gentoo.org>
CommitDate: 2021-02-13 09:54:34 +0000

    net-analyzer/slurm: Fix includes
    
    * Port to EAPI 7
    * Use patch from Alpine
    
    Bug: https://bugs.gentoo.org/757054
    Closes: https://bugs.gentoo.org/713664
    Package-Manager: Portage-3.0.14, Repoman-3.0.2
    Signed-off-by: David Seifert <soap@gentoo.org>

 .../slurm/files/slurm-0.4.3-fix-includes.patch     | 22 ++++++++++++++
 net-analyzer/slurm/slurm-0.4.3.ebuild              | 34 +++++++++-------------
 2 files changed, 36 insertions(+), 20 deletions(-)
Comment 3 David Seifert gentoo-dev 2021-02-13 09:55:21 UTC
Should be fixed now, please continue
Comment 4 Agostino Sarubbo gentoo-dev 2021-02-25 13:54:24 UTC
x86 stable
Comment 5 Agostino Sarubbo gentoo-dev 2021-03-01 09:20:44 UTC
amd64 stable. Closing.
Comment 6 Larry the Git Cow gentoo-dev 2021-03-05 08:16:12 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=d4534642d6738a3d2e4e1eb0b55e3a2d7be3efdf

commit d4534642d6738a3d2e4e1eb0b55e3a2d7be3efdf
Author:     Andreas Sturmlechner <asturm@gentoo.org>
AuthorDate: 2021-03-05 01:12:28 +0000
Commit:     Andreas Sturmlechner <asturm@gentoo.org>
CommitDate: 2021-03-05 08:15:55 +0000

    net-analyzer/slurm: Drop 0.3.3-r2, EAPI5--
    
    Closes: https://bugs.gentoo.org/757054
    Package-Manager: Portage-3.0.16, Repoman-3.0.2
    Signed-off-by: Andreas Sturmlechner <asturm@gentoo.org>

 net-analyzer/slurm/Manifest                       |  1 -
 net-analyzer/slurm/files/slurm-0.3.3-gentoo.patch | 48 -----------------------
 net-analyzer/slurm/files/slurm-0.3.3-theme.patch  | 16 --------
 net-analyzer/slurm/slurm-0.3.3-r2.ebuild          | 37 -----------------
 4 files changed, 102 deletions(-)